Bug 443756 - Upgrading from F8 to F9 Beta upgrades the wrong partition
Upgrading from F8 to F9 Beta upgrades the wrong partition
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 01:45 EDT by Joachim Backes
Modified: 2009-07-14 13:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:49:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2008-04-23 01:45:09 EDT
Description of problem:
In my F8 system, I have 2 disks: one IDE (Primary/0), and one SATA. On tha SATA
disk, Fedora 8 has been installed on primary partition 1 (/dev/sda1) and on the
extended partition /dev/sda9.
Now, I try an upgrade to F9 Beta on partition 9. The installer makes 2 proposals
for the upgrade: /dev/sdb1 and /dev/sdb9 (these are renamed obviously under
F9!). These proposals are OK, so I choose /dev/sdb9.
But during install, I saw that /mnt/sysimage was a mount of /dev/sdb1 and not of
/dev/sdb9, and when I rebooted the F9 beta after the installation, it was indeed
/dev/sdb1 which was upgraded and not /dev/sdb9!

Version-Release number of selected component (if applicable):
The current F9 beta.

How reproducible:
Each time

Steps to Reproduce:
1.Boot from install media, select upgrade option
2.select the second partition containing F8
3.
  
Actual results:
The first partiton is upgraded

Expected results:
The second partition is upgraded

Additional info:

/boot/grub/menu.lst in F8
=========================

default=0
timeout=5
splashimage=(hd0,0)/boot/grub/splash.xpm.gz
title Fedora (2.6.24.4-64.fc8)
        root (hd0,0)
        kernel /boot/vmlinuz-2.6.24.4-64.fc8 ro root=LABEL=/F8 quiet
        initrd /boot/initrd-2.6.24.4-64.fc8.img

/etc/fstab of F8
================

LABEL=/F8                               /                       ext3    defaults
       1 1
LABEL=tmp                               /tmp                    ext3    defaults
       1 2
LABEL=spare3                            /spare3                 ext3    defaults
       1 2
LABEL=local                             /usr/local              ext3    defaults
       1 2
LABEL=SYSTEM_BACKUP                     /SYSTEM_BACKUP          ext3    defaults
       1 2
LABEL=spare2                            /spare2                 ext3    defaults
       1 2
LABEL=disk3                             /disk3                  ext3    defaults
       1 2
LABEL=disk3_BACKUP                      /disk3_BACKUP           ext3    defaults
       1 2
tmpfs                                   /dev/shm                tmpfs   defaults
       0 0
devpts                                  /dev/pts                devpts 
gid=5,mode=620  0 0
sysfs                                   /sys                    sysfs   defaults
       0 0
proc                                    /proc                   proc    defaults
       0 0
LABEL=swap                              swap                    swap    defaults
       0 0
Comment 1 Joachim Backes 2008-04-23 01:51:52 EDT
I could see that very early during the upgrade /etc/fstab from /dev/sdb9 was
taken and overwrote /etc/fstab in /dev/sdb1.
Comment 2 Chris Lumens 2008-04-23 07:42:36 EDT
I see that according to your mailing list post, you copied the installation so
that sdb9 and sdb1 had the same contents.  I assume this means that both had the
same /etc/fstab file.  Now, what were the labels on both of your / partitions? 
Were they both /F8?
Comment 3 Joachim Backes 2008-04-23 07:57:24 EDT
You are right, the /etc/fstab was identical on both partitions.
But before upgrading /dev/sdb9, the labels were different: /dev/sdb1 was labeled
"/F8", and /dev/sdb9 was not labeled!

Maybe, this is the problem (perhaps anaconda searched for the partition labeled
"/F8")?

Comment 4 Bug Zapper 2008-05-14 06:00:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 20:22:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:49:57 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.